GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

geos::operation::IsSimpleOp Member List

This is the complete list of members for geos::operation::IsSimpleOp, including all inherited members.

getNonSimpleLocation() const | geos::operation::IsSimpleOp | inline
isSimple() | geos::operation::IsSimpleOp |
isSimple(const geom::LineString *geom) | geos::operation::IsSimpleOp |
isSimple(const geom::MultiLineString *geom) | geos::operation::IsSimpleOp |
isSimple(const geom::MultiPoint *mp) | geos::operation::IsSimpleOp |
isSimpleLinearGeometry(const geom::Geometry *geom) (defined in geos::operation::IsSimpleOp) | geos::operation::IsSimpleOp |
IsSimpleOp() | geos::operation::IsSimpleOp |
IsSimpleOp(const geom::Geometry &geom) | geos::operation::IsSimpleOp |
IsSimpleOp(const geom::Geometry &geom, const algorithm::BoundaryNodeRule &boundaryNodeRule) | geos::operation::IsSimpleOp |